ارتقا و انتقال فروشگاه از اپن کارت 1.5 به اپن کارت 2

درصورتی که برای ارتقا و انتقال محصولات و مشتریان و سفارشات و …. دچار مشکل شدید میتوانید از بخش نظرات با ما در ارتباط باشید

امکانات و قابلیت های جدید نسخه 2.0.1.1 :

  • حذف کلیه ماژول های پرداخت آنلاین و openbay و … غیرقابل استفاده برای کابران ایرانی از هسته اپن کارت
  • تکمیل شدن برخی از کمبودهای سئو اپن کارت
  • ظاهر تمام رسپانسیو قالب فروشگاهی اپن کارت و قالب مدیریت اپن کارت
  • ویرایشگر متن جدید
  • شمسی سازی پیشرفته تر با امکان انتخاب فرمت نمایش تاریخ از داخل تنظیمات فروشگاه برای زبان فارسی
  • ارسال ایمیل به هنگام ثبت نظر در محصولات به مدیریت
  • تغییرات گسترده در سطح تمام هسته اپن کارت
  • تغییر نحوه چیدمان ماژول های اپن کارت از قسمت ماژول ها به قسمت چیدمان ها
  • امکان نصب افزونه ها از طریق مدیریت اپن کارت با افزوده شدن بخش نصاب افزونه ها
  • استفاده از ocmod به جای vqmod (البته نسخه ویکیومد همچنان موجود است)
  • مدیریت تصاویر اپن کارت با ظاهر و امکاناتی بیشتر
  • داشبورد پیشرفته تر مدیریت نسبت به نسخه 1.5
  • افزوده شدن ماژول html به صورت پیش فرض در اپن کارت
  • افزوده شدن ماژول چت یاهو
  • افزوده شدن ماژول مدیریت ویکیومد در نسخه ویکیومد
  • افزوده شدن ماژول کوتاه سازی تمام آدرس های اپن کارت
  • افزوده شدن ماژول ویکیومد کپچا برای ورود به مدیریت اپن کارت
  • دارای ماژول های پرداخت آنلاین بانک سامان، زرین پال و پارس پال
  • و بسیاری امکانات دیگر

امکانات و قابلیت های اپن کارت تا قبل از این نسخه :

  • امکان تعریف نامحدود محصول و مدیریت ساده فروشگاه
  • امکان درج آپشن ها و خصوصیات فراوان برای محصولات
  • امکان تعریف دسته بندی فروشگاه به صورت نامحدود
  • امکان چاپ فاکتورها و گزارشات فروش
  • امکان رتبه بندی محصولات و تعداد بازدید محصولات
  • دارای رابط کاربری کاملا زیبا، جذاب، اداری و کاربردی
  • دارای سیستم سئو قدرتمند
  • امکان مدیریت روبات ها
  • نمایش ایمیل های ارسالی فروشگاه به صورت راست چین
  • امکان افزودن افزونه ها و قالب های متنوع برای فروشگاه
  • امکان تغییر اندازه خودکار تصاویر
  • امکان نمایش محصولات مرتبط با محصول مشاهده شده
  • چند زبانه و چند فروشگاهی بودن
  • دارای سیستم بازاریابی
  • دارای سیستم نمایش بنر و آگهی
  • دارای سیستم کپن تخفیف
  • دارای ابزار پشتیبان گیری و بازگردانی
  • نصب بسیار آسان و پشتیبانی همیشگی و دارای قابلیت بروزرسانی
  • دارای امکان فروش آنلاین فایل
  • و …

روش نصب :

نصب این نسخه مثل سایر نسخه های اپن کارت بسیار آسان می باشد

در صورتی که نسخه ocmod را استفاده می کنید پس از نصب باید از طریق مدیریت >> افزونه ها >> تغییرات دکمه بارگذاری مجدد را کلیک کنید تا کش تغییرات شامل ماژول های اضافه شده و تاریخ شمسی این نسخه ایجاد شود.

و در صورتی که از نسخه vqmod استفاده می کنید پس از نصب کافی است ویکیومد را از طریق اجرای آدرس مقابل در مرورگرتان نصب کنید : http://YourShop.ir/vqmod/install

حال تاریخ شمسی و کلیه امکانات ویکیومد فعال شده و قابل مشاهده می باشد.

روش بروزرسانی از نسخه 1.5.6.4 به نسخه 2.0.1.1 :

قبل از بروز رسانی حتما از دیتابیس و کل فایل های فروشگاهتان بکاپ بگیرید، چراکه در صورتی که هرگونه ویرایشی به صورتی دستی در هسته اپن کارت انجام شده باشد، حذف خواهد شد.

برای انجام بروز رسانی فایل های config.php و admin/config.php را از داخل اپن کارتی که دانلود کرده اید حذف کنید،

در نسخه های قبلی در بروزرسانی پوشه image نیز از پکیج دانلود شده باید حذف می شد، اما بدلیل بروز رسانی این پوشه در این نسخه بهتر است حذف نشود.

توجه : با توجه به تغییرنام پوشه image/data به image/catalog در نسخه 2 تصاویر شما به درستی در فروشگاه نمایش داده می شوند اما مدیریت تصاویر دیگر به پوشه image/data دسترسی ندارد و فقط به پوشه image/catalog دسترسی دارد.

در صورتی که از نسخه vqmod استفاده می کنید :

بهتر است پوشه vqmod داخل هاستتان را تغییر نام دهید، تا از تداخل فایل ها جلوگیری شود، بعد از اتمام بروزرسانی می توانید فایل های xml قدیمی و غیرتکراری را بعد از اینکه با این نسخه سازگار کردید، به این نسخه منتقل کنید.

در صورتی که ازنسخه ocmod استفاده می کنید :

باید کاملا پوشه vqmod موجود در هاست را حذف کنید چون دیگر به آن نیازی نیست و بعدا با بروز رسانی فایل های مورد نیازتان به ocmod می توانید آنها را استفاده کنید.

 

روش 1 برای بروزرسانی :

از آنجایی تغیرات نسخه 2 خیلی زیاد است و ماژول ها و قالب نسخه 1.5 روی نسخه 2 کار نمی کند بهتر است غیر از این دو فایل کانفیگ و پوشه تصویر بقیه فایل های اپن کارت را حذف کنید و نسخه جدید را اضافه و بروزرسانی کنید.

روش 2 برای بروزرسانی :

در این حالت فایل ها جایگزین می شوند ولی به احتمال بسیاز زیاد ماژول های نسخه 1.5 روی نسخه 2 کار نمی کنند و باید آنها را بعدا بروزرسانی کنید.

 

سپس مابقی فایل های فروشگاه سازی که دانلود کرده اید را فشرده، آپلود و در هاست اکسترکت نمایید.

و پوشه نصب را به صورت http://YourShop.ir/install فراخوانی کنید.

پس از نصب و قبل از ورود به مدیریت فروشگاه نیاز است فایل های config.php و admin/config.php را به صورت زیر بروزرسانی کنید :

1. بروزرسانی مسیر پوشه دانلود از download به system/downlod در خط تعریف DIR_DOWNLOAD

2. تعریف مسیر پوشه آپلود و تغییرات به صورت زیر : (طبق نام کاربری و مسیر نصب که در فایلهای کانفیگ اپن کارت در هاست نوشته شده است این آدرسها را بروز رسانی کنید)

define(‘DIR_UPLOAD’, ‘/home/YourUser/public_html/system/upload/’);

define(‘DIR_MODIFICATION’, ‘/home/YourUser/public_html/system/modification/’);

در صورتی که از نسخه های پایین تر از 1.5.6 استفاده می کنید باید طبق راهنمای بروزرسانی ابتدا به 1.5.6.4 بروزرسانی کنید، سپس می توانید از 1.5.6.4 به 2.0.1.1 بروز رسانی کنید.

توجه : با توجه به تغییرات بسیار زیادی که نسخه 2 نسبت به نسخه 1.5 داشته است، توجه داشته باشد بروزرسانی هسته اپن کارت باعث ناسازگاری فروشگاه شما یا ماژول ها و قالب فروشگاهتان می شود، پس نیاز است قبل از بروز رسانی با پشتیبانی فنی فروشگاهتان تماس بگیرید تا امکان بروزرسانی قالب، ماژول ها یا سایر امکانات اضافی فروشگاهتان به نسخه جدید را برایتان فراهم نماید.

 

منبع : http://www.opencartfarsi.ir/download-opencartfarsi-v2011

loading...
***
loading...
پیشنهاد میشود بخوانید

نظر یا سوال شما چیست ؟

آدرس ایمیل شما نمایش داده نمیشود و محرمانه است

15 نظر
  1. گیفت کارت گفته

    سلام ماژول ارتقاء اپن کارت به نسخه ۲ چیه ؟
    به جای این کارها بهتر نیست از این ماژول استفاده کنم
    یا با این اموزش که دادید بهتره؟
    تشکر

    1. مسئول سايت گفته

      سلام ..روش راحت تری هم وجود داره , فعلا بخاطر مشکلاتی فرصت توضیح نیست , هفته دیگه توضیح کامل رو همین جا مینویسم

  2. پیمان گفته

    بله این مشکل هم حل شد
    و اخرین مشکلی که باهاش مواجعه شدم فقط همین هست وقتی میخوام وضعیت سفارشات رو تغییر بدم در قسمت تاریخچه با این ارور مواجه میشم
    syntaxerror json.parse unexpected end of data at line 1 column 1 of the json data
    تو سایت اصلی اپن کارت این مشکل مطرح شده و راه حلی که گفتن انجام دادم ولی این ارور رفع نمیشه
    میشه بگید ایراد از کجاست ؟ ممنونم

    1. مسئول سايت گفته

      برای رفع این مشکل باید کش اپن کارت رو پاک کنید …جداول اپن کارت رو ریپیر کنید و چند بار کنترل اف ۵ بزنید باید مشکل حل بشه

    2. پیمان گفته

      ممنونم این مشکل هم حل شد تشکر

  3. پیمان گفته

    مشکل قبلی حل شد الان تنها مشکلی اینه ماژول های فروشگاه کار نمیکنه
    اونها رو فعال میکنم ولی هیچ تغییری صورت نمیگیره میشه در این مورد راهنمایی کنید

    1. مسئول سايت گفته

      سلام
      ماژول های ورژن قبلی رو این ورژن کار نمیکنه و باید ماژول های هماهنگ با ورژن ۲ اپن کارت رو استفاده کنید

  4. پیمان گفته

    سلام
    خسته نباشید
    من مطابق با راهنمایی شما انجام دادم همه چیز درست انجام شده تنها مشکلم اینه که فروشگاه جدید نظراتی رو که قبلا بوده تعداد نظرات هر محصول رو نشون میده ولی خود نظرات رو نشون نمیده یعنی اون پایین محصول نوشته ۱۲۰ نظر وقتی کلیک میکنی هیچ چیزی نیست ،مشکل از کجاست ؟ قالب جدید بروز شده و تنها مشکل همینه اگر راهنمایی کنید ممنون میشم

  5. پیمان گفته

    با سلام و عرض خسته نباشید و تشکر از شما بابت پاسختون
    من از کل فروشگاهم بک اپ گرفتم و کلا برای تست تو یک هاست دیگر نسخه جدید اپن کارت رو نصب کردم و نسخه جدید قالب سایتم رو نصب کردم و هیچ مشکلی ندارد فقط برای من مشکل هست دوباره تک تک محصولات و توضیحات و سفارشات و……که طی چند سال ثبت شده از بین بره و دوباره بخوام این کار رو بکنم
    میخواستم بدونم راهی هست اون مطالب فروشگاه شامل تمام محصولات و اطلاعات مشتریان و…
    روی سایت جدید با قالب جدید قرار داد .خیلی ممنون میشم یک راهی بگید

    1. مسئول سايت گفته

      شما رو همین فروشگاه جدیدتون بک آپ رو ری استور کنید و yoursite/install/ بزنید تا دیتابیس آپگیرید بشه تمام اطلاعات بدون مشکل منتقل میشن

  6. پیمان گفته

    سلام
    من میخوام ارتقا بدم مشکلم اینه چطوری اینکار رو بکنم که محصولات و اطلاعات ثبت شده مثل مشتریان نظرات ثبت شده وهمه چیز رو دوباره برگردونم به قالب جدید
    بک اپ گرفتم ولی نمیدونم الان باید چکار کنم توضیح بدید چطوری میشه محصولات و اطاعات رو روی ورژن جدید پیاده کنم تو همین بخش نظرات بنویسید لطفا

    1. مسئول سايت گفته

      سلام
      قبل از ارتقا از اینکه قالبی که استفاده میکنید با اپن کارت ۲ سازگاری داره مطمئن بشید
      از تمام فایل های خودتون بک آپ بگیرید
      از دیتابیس فروشگاه بک آپ بگیرید
      و در جایی خارج از هاست نگهدارید
      ******************************
      حالا برای شروع انتقال
      قالب فروشگاه رو روی قالب پیش فرض قرار بدید
      تمام ماژول ها رو غیر فعال کنید
      در صورتی که از ویکیومد شمسی ساز استفاده میکنید خاموشش کنید
      همه فایل ها و پوشه های اپن کارت بجر پوشه image رو از روی هاست حذف کنید
      اپن کارت ۲ رو به هاست انتقال بدید
      آدرس نصب فروشگاهتون رو تایپ کنید
      yoursite/install/

      فروشگاه شما بروز شد
      حالا کش رو خالی کنید و چندین بار کنترل اف ۵ رو بزنید
      این یه راهش بود بازم اگه مشکلی بود بفرمایید تا روش دیگه رو عرض کنم

    2. حمید گفته

      قبل از بکاپ همه افزونه هایی رو که نصب کردید غیر فعال کنید

  7. Hamid گفته

    من روی لوکال هاست این کار رو کردم نشد

    یعنی از دیتابیس سایت قبلیم با استفاده از phpmyadmin اکسپورت گرفتم و تو لوکال هاست ایمپورتش کردم. بعد روی همین لوکال هاست اوپن کارت ۲ رو نصب کردم و کلا اررور داد…

    از پشتیبان گیری خود اوپن کارت هم استفاده کردم نشد…
    چیکار کنم به نظرتون؟ ممنون

    1. مسئول سايت گفته

      سلام
      شما اول باید در فروشگاه قبلی تون تمام پلاگین ها و … رو غیر فعال کنید و قالب رو بزارید روی دیفالت بعد اکسپورت کنید .
      حالا اپن کارت ۲ رو روی لوکال نصب کنید و فایل پشتیبان رو ایمپورت کنید به احتمال زیاد مشکل حل میشه
      البته ارورهایی که میده رو هم بفرمایید بهتر میشه نظر داد